summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRick Farina (Zero_Chaos) <zerochaos@gentoo.org>2019-07-10 11:56:37 -0400
committerRick Farina (Zero_Chaos) <zerochaos@gentoo.org>2019-07-10 11:57:04 -0400
commit3b699fff300f89fefd09fe1af494f45b5dbd3261 (patch)
tree66365da548b73c410bbdf9ea588a31b9df28d6c4 /net-wireless/rtl_433/rtl_433-9999.ebuild
parentdev-perl/Email-LocalDelivery: Fix deps for bug #661462 (diff)
downloadgentoo-3b699fff300f89fefd09fe1af494f45b5dbd3261.tar.gz
gentoo-3b699fff300f89fefd09fe1af494f45b5dbd3261.tar.bz2
gentoo-3b699fff300f89fefd09fe1af494f45b5dbd3261.zip
net-wireless/rtl_433: bump
update snapshot, minor ebuild updates following development Package-Manager: Portage-2.3.68, Repoman-2.3.16 Signed-off-by: Rick Farina <zerochaos@gentoo.org>
Diffstat (limited to 'net-wireless/rtl_433/rtl_433-9999.ebuild')
-rw-r--r--net-wireless/rtl_433/rtl_433-9999.ebuild25
1 files changed, 20 insertions, 5 deletions
diff --git a/net-wireless/rtl_433/rtl_433-9999.ebuild b/net-wireless/rtl_433/rtl_433-9999.ebuild
index 04955a8a9d0..b983719b12b 100644
--- a/net-wireless/rtl_433/rtl_433-9999.ebuild
+++ b/net-wireless/rtl_433/rtl_433-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -12,15 +12,30 @@ if [[ $PV == "9999" ]]; then
EGIT_REPO_URI="https://github.com/merbanan/rtl_433"
KEYWORDS=""
else
- COMMIT="51d275cd08c517d5445b568bf9c2f1b4103bec9f"
- SRC_URI="https://github.com/merbanan/rtl_433/archive/${COMMIT}.tar.gz"
+ COMMIT="496f82b54b8957dbdd1bb60a080aeccfd31da73e"
+ SRC_URI="https://github.com/merbanan/rtl_433/archive/${COMMIT}.tar.gz -> ${P}.tar.gz"
S="${WORKDIR}/${PN}-${COMMIT}"
KEYWORDS="~amd64 ~x86"
fi
LICENSE="GPL-2"
SLOT="0"
-IUSE=""
+IUSE="+rtlsdr soapy"
-DEPEND="net-wireless/rtl-sdr:="
+DEPEND="rtlsdr? ( net-wireless/rtl-sdr:= )
+ soapy? ( net-wireless/soapysdr:= )"
RDEPEND="${DEPEND}"
+
+src_configure() {
+ mycmakeargs=(
+ -DENABLE_RTLSDR="$(usex rtlsdr)"
+ -DENABLE_SOAPYSDR="$(usex soapy)"
+ )
+ cmake-utils_src_configure
+}
+
+src_install() {
+ cmake-utils_src_install
+ mv "${ED}/usr/etc" "${ED}/" || die
+ mv "${ED}/etc/${PN}/${PN}.example.conf" "${ED}/etc/${PN}/${PN}.conf" || die
+}